Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
XFCE installation problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Omead
n00b
n00b


Joined: 06 Oct 2012
Posts: 18

PostPosted: Wed Oct 10, 2012 12:05 pm    Post subject: XFCE installation problem Reply with quote

Hi,
I am new to gentoo and just installed x86_64 on my laptop. x11-server has been installed. I get the following error when I try to install xfce.
Code:

localhost linux # emerge -avt xfce4-meta

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N     ] xfce-base/xfce4-meta-4.10  USE="svg -minimal" 0 kB
[ebuild  N     ]  xfce-base/xfdesktop-4.10.0  USE="thunar -debug -libnotify" 0 kB
[ebuild  N     ]   xfce-base/thunar-1.4.0  USE="dbus pcre startup-notification udev -debug -exif -libnotify -test" XFCE_PLUGINS="trash" 0 kB
[ebuild  N    ~]    gnome-base/gvfs-1.12.3-r1  USE="http udev udisks -afp -archive -avahi -bluetooth -bluray -cdda -doc -fuse -gdu -gnome-keyring -gphoto2 -ios -samba" 0 kB
[ebuild  N    ~]     sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd" 730 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[nomerge       ]  sys-fs/udev-194 [171-r6] USE="acl%* gudev* hwdb* openrc%* -doc% -introspection -keymap (-selinux) -static-libs% (-action_modeswitch%) (-build%) (-debug%) (-edd%) (-extras%) (-floppy%) (-rule_generator%*) (-test%)"
[ebuild  N    ~]   sys-fs/udev-init-scripts-16  5 kB
[ebuild     U ~]    sys-fs/udev-194 [171-r6] USE="acl%* gudev* hwdb* openrc%* -doc% -introspection -keymap (-selinux) -static-libs% (-action_modeswitch%) (-build%) (-debug%) (-edd%) (-extras%) (-floppy%) (-rule_generator%*) (-test%)" 1,378 kB
[blocks b      ] sys-apps/kmod ("sys-apps/kmod" is blocking sys-apps/module-init-tools-3.16-r1)
[uninstall     ]  sys-apps/module-init-tools-3.16-r1  USE="-static"
[nomerge       ] virtual/modutils-0
[ebuild  N    ~]  sys-apps/kmod-10  USE="tools zlib -debug -doc -lzma -static-libs" 0 kB
[nomerge       ] xfce-base/thunar-1.4.0  USE="dbus pcre startup-notification udev -debug -exif -libnotify -test" XFCE_PLUGINS="trash"
[ebuild  N     ]  gnome-base/gvfs-1.12.3  USE="http udev -afp -archive -avahi -bluetooth -bluray -cdda -doc -fuse -gdu -gnome-keyring -gphoto2 -ios -samba (-udisks)" 0 kB
[ebuild  N     ]   net-libs/libsoup-gnome-2.38.1  USE="introspection -debug -doc" 0 kB
[ebuild  N     ]    gnome-base/libgnome-keyring-2.32.0  USE="-debug -doc -test" 0 kB
[ebuild  N     ]     gnome-base/gnome-keyring-2.32.1-r1  USE="pam -debug -doc -test" 0 kB
[ebuild  N     ]      gnome-base/gconf-2.32.4  USE="introspection -debug -doc -ldap -policykit" 0 kB
[nomerge       ] xfce-base/xfce4-meta-4.10  USE="svg -minimal"
[ebuild  N     ]  xfce-base/xfce4-session-4.10.0  USE="udev xscreensaver -consolekit -debug -gnome-keyring -policykit" 0 kB
[ebuild  N     ]   x11-misc/xscreensaver-5.15  USE="jpeg pam perl -new-login -opengl (-selinux) -suid -xinerama" 0 kB
[ebuild  N     ]    gnome-base/libglade-2.6.4  USE="-doc -static-libs -test" 0 kB
[ebuild  N     ]  xfce-base/xfce4-settings-4.10.0  USE="xklavier -debug -libcanberra -libnotify" 0 kB
[ebuild  N     ]  xfce-base/xfwm4-4.10.0  USE="startup-notification xcomposite -debug" 0 kB
[ebuild  N     ]  x11-themes/gtk-engines-xfce-3.0.0-r200  USE="-debug" 0 kB
[ebuild  N     ]  gnome-base/librsvg-2.36.1  USE="gtk introspection -doc -tools" 0 kB
[ebuild  N     ]  xfce-base/xfce4-appfinder-4.10.0  USE="-debug" 0 kB
[ebuild  N     ]  xfce-base/xfce4-panel-4.10.0  USE="-debug" 0 kB
[ebuild  N     ]   x11-libs/libwnck-2.31.0  USE="introspection startup-notification -doc" 0 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[ebuild  N    ~]  sys-auth/polkit-0.107-r1  USE="introspection nls pam -examples -gtk -kde (-selinux) -systemd" 1,351 kB
[nomerge       ] xfce-base/xfce4-session-4.10.0  USE="udev xscreensaver -consolekit -debug -gnome-keyring -policykit"
[ebuild  N     ]  sys-power/upower-0.9.16  USE="introspection -debug -doc -ios" 393 kB
[nomerge       ] sys-auth/polkit-0.107-r1  USE="introspection nls pam -examples -gtk -kde (-selinux) -systemd"
[ebuild   R    ]  sys-auth/pambase-20101024-r2  USE="consolekit* cracklib sha512 -debug -gnome-keyring -minimal -mktemp -pam_krb5 -pam_ssh -passwdqc (-selinux)" 0 kB
[ebuild  N     ]   sys-auth/consolekit-0.4.5_p20120320  USE="acl pam policykit -debug -doc (-selinux) -test" 0 kB
[ebuild  N     ]    sys-auth/polkit-0.104-r1  USE="introspection nls pam -debug -doc -examples -gtk -kde (-selinux) (-systemd)" 0 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[ebuild  N     ]  dev-util/gdbus-codegen-2.32.4  PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1" 0 kB
[nomerge       ] gnome-base/gvfs-1.12.3-r1  USE="http udev udisks -afp -archive -avahi -bluetooth -bluray -cdda -doc -fuse -gdu -gnome-keyring -gphoto2 -ios -samba"
[nomerge       ]  net-libs/libsoup-gnome-2.38.1  USE="introspection -debug -doc"
[ebuild  N     ]   net-libs/libsoup-2.38.1  USE="introspection ssl -debug -doc -samba -test" 0 kB
[ebuild  N     ]    net-libs/glib-networking-2.32.3  USE="libproxy ssl -gnome -smartcard -test" 0 kB
[ebuild  N     ]     net-libs/libproxy-0.4.7  USE="-gnome -kde -mono -networkmanager -perl -python -test" 0 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[ebuild  N     ]  virtual/eject-0  0 kB
[ebuild  N     ]   sys-block/eject-2.1.5-r2  USE="nls" 121 kB
[nomerge       ] sys-auth/polkit-0.107-r1  USE="introspection nls pam -examples -gtk -kde (-selinux) -systemd"
[ebuild  N     ]  dev-lang/spidermonkey-1.8.5-r1  USE="-debug -static-libs -test" 0 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[ebuild  N     ]  sys-fs/cryptsetup-1.4.1  USE="nls static (-selinux)" 755 kB
[ebuild   R    ]   dev-libs/popt-1.16-r1  USE="nls static-libs*" 0 kB
[ebuild   R    ]   dev-libs/libgcrypt-1.5.0-r2  USE="static-libs*" 0 kB
[ebuild  N     ]  sys-block/parted-3.1  USE="debug nls readline -device-mapper (-selinux) -static-libs -test" 1,489 kB
[nomerge       ] gnome-base/librsvg-2.36.1  USE="gtk introspection -doc -tools"
[ebuild  N     ]  dev-libs/libcroco-0.6.5  USE="-doc -test" 0 kB
[nomerge       ] xfce-base/xfce4-session-4.10.0  USE="udev xscreensaver -consolekit -debug -gnome-keyring -policykit"
[ebuild  N     ]  x11-misc/xdg-user-dirs-0.14  USE="nls -gtk" 0 kB
[nomerge       ] net-libs/glib-networking-2.32.3  USE="libproxy ssl -gnome -smartcard -test"
[ebuild  N     ]  net-libs/gnutls-2.12.20  USE="cxx nettle nls zlib -bindist -doc -examples -guile -lzo -pkcs11 -static-libs -test" 0 kB
[nomerge       ] xfce-base/xfce4-settings-4.10.0  USE="xklavier -debug -libcanberra -libnotify"
[ebuild  N     ]  x11-libs/libxklavier-5.2.1  USE="introspection -doc" 0 kB
[ebuild  N     ]   app-text/iso-codes-3.37  0 kB
[nomerge       ] sys-auth/polkit-0.107-r1  USE="introspection nls pam -examples -gtk -kde (-selinux) -systemd"
[ebuild  N     ]  app-text/docbook-xml-dtd-4.1.2-r6  0 kB
[nomerge       ] sys-fs/cryptsetup-1.4.1  USE="nls static (-selinux)"
[ebuild   R    ]  dev-libs/libgpg-error-1.10  USE="nls static-libs* -common-lisp" 0 kB
[nomerge       ] xfce-base/xfdesktop-4.10.0  USE="thunar -debug -libnotify"
[ebuild  N     ]  xfce-base/garcon-0.2.0  USE="-debug" 0 kB
[nomerge       ] sys-fs/cryptsetup-1.4.1  USE="nls static (-selinux)"
[ebuild   R    ]  sys-apps/util-linux-2.21.2  USE="cramfs crypt ncurses nls static-libs* udev* unicode -ddate -old-linux -perl (-selinux) -slang (-uclibc)" 2,916 kB
[nomerge       ] x11-misc/xscreensaver-5.15  USE="jpeg pam perl -new-login -opengl (-selinux) -suid -xinerama"
[nomerge       ]  dev-perl/libwww-perl-6.30.0  USE="ssl"
[ebuild  N     ]   dev-perl/LWP-Protocol-https-6.20.0  0 kB
[ebuild  N     ]    dev-perl/libwww-perl-6.30.0  USE="ssl" 0 kB
[nomerge       ] sys-fs/cryptsetup-1.4.1  USE="nls static (-selinux)"
[ebuild  N     ]  sys-fs/lvm2-2.02.88  USE="lvm1 readline static static-libs (-clvm) (-cman) (-selinux)" 1,006 kB
[nomerge       ] gnome-base/gconf-2.32.4  USE="introspection -debug -doc -ldap -policykit"
[ebuild  N     ]  gnome-base/orbit-2.14.19-r1  USE="-debug -doc -test" 0 kB
[nomerge       ] x11-misc/xscreensaver-5.15  USE="jpeg pam perl -new-login -opengl (-selinux) -suid -xinerama"
[ebuild  N     ]  virtual/perl-Digest-MD5-2.510.0-r2  0 kB
[ebuild  N     ]   perl-core/Digest-MD5-2.510.0  0 kB
[ebuild  N     ]    virtual/perl-digest-base-1.160.0-r1  0 kB
[nomerge       ] dev-perl/libwww-perl-6.30.0  USE="ssl"
[ebuild  N     ]  virtual/perl-libnet-1.220.0-r1  0 kB
[nomerge       ] dev-perl/LWP-Protocol-https-6.20.0
[ebuild  N     ]  dev-perl/IO-Socket-SSL-1.440.0  USE="-idn" 0 kB
[nomerge       ] dev-perl/libwww-perl-6.30.0  USE="ssl"
[ebuild  N     ]  dev-perl/HTTP-Negotiate-6.0.0  0 kB
[ebuild  N     ]  dev-perl/HTTP-Daemon-6.10.0  0 kB
[ebuild  N     ]  dev-perl/HTTP-Cookies-6.0.0  0 kB
[ebuild  N     ]   dev-perl/HTTP-Message-6.30.0  0 kB
[ebuild  N     ]    virtual/perl-Encode-2.430.0  0 kB
[ebuild  N     ]     perl-core/Encode-2.430.0  0 kB
[ebuild  N     ]  dev-perl/Net-HTTP-6.30.0  0 kB
[ebuild  N     ]  dev-perl/File-Listing-6.40.0  0 kB
[ebuild  N     ]   dev-perl/HTTP-Date-6.20.0  0 kB
[ebuild  N     ]    virtual/perl-Time-Local-1.200.0-r2  0 kB
[ebuild  N     ]     perl-core/Time-Local-1.200.0  0 kB
[ebuild  N     ]  dev-perl/HTML-Parser-3.690.0  USE="-test" 0 kB
[ebuild  N     ]   dev-perl/HTML-Tagset-3.200.0  0 kB
[nomerge       ] dev-perl/IO-Socket-SSL-1.440.0  USE="-idn"
[ebuild  N     ]  dev-perl/Net-SSLeay-1.360.0  0 kB
[nomerge       ] dev-perl/libwww-perl-6.30.0  USE="ssl"
[ebuild  N     ]  dev-perl/WWW-RobotRules-6.10.0  0 kB
[nomerge       ] x11-misc/xscreensaver-5.15  USE="jpeg pam perl -new-login -opengl (-selinux) -suid -xinerama"
[ebuild  N     ]  x11-apps/appres-1.0.3  0 kB
[ebuild  N     ]  x11-apps/xwininfo-1.1.2  0 kB
[ebuild  N     ]  x11-libs/libXxf86misc-1.0.3  USE="-static-libs" 0 kB
[nomerge       ] sys-power/upower-0.9.16  USE="introspection -debug -doc -ios"
[nomerge       ]  sys-auth/polkit-0.104-r1  USE="introspection nls pam -debug -doc -examples -gtk -kde (-selinux) (-systemd)"
[nomerge       ]   app-text/docbook-xml-dtd-4.1.2-r6
[ebuild  N     ]    app-text/sgml-common-0.6.3-r5  0 kB
[ebuild  N     ]  sys-power/pm-utils-1.4.1-r2  USE="-alsa -debug -ntp" VIDEO_CARDS="radeon -intel" 204 kB
[ebuild  N     ]   sys-apps/vbetool-1.1  0 kB
[nomerge       ] net-libs/gnutls-2.12.20  USE="cxx nettle nls zlib -bindist -doc -examples -guile -lzo -pkcs11 -static-libs -test"
[ebuild  N     ]  dev-libs/nettle-2.4  USE="gmp" 0 kB
[nomerge       ] xfce-base/xfwm4-4.10.0  USE="startup-notification xcomposite -debug"
[nomerge       ]  x11-libs/libwnck-2.31.0  USE="introspection startup-notification -doc"
[ebuild  N     ]   x11-libs/libXres-1.0.6  USE="-static-libs" 0 kB
[nomerge       ] dev-perl/HTTP-Negotiate-6.0.0
[nomerge       ]  dev-perl/HTTP-Message-6.30.0
[ebuild  N     ]   virtual/perl-Compress-Raw-Zlib-2.024  0 kB
[ebuild  N     ]   virtual/perl-IO-Compress-2.024  0 kB
[ebuild  N     ]   dev-perl/Encode-Locale-1.30.0  0 kB
[nomerge       ] x11-misc/xscreensaver-5.15  USE="jpeg pam perl -new-login -opengl (-selinux) -suid -xinerama"
[ebuild  N     ]  x11-proto/xf86miscproto-0.9.3  0 kB
[nomerge       ] net-libs/gnutls-2.12.20  USE="cxx nettle nls zlib -bindist -doc -examples -guile -lzo -pkcs11 -static-libs -test"
[ebuild  N     ]  dev-libs/libtasn1-2.13  USE="-doc -static-libs" 0 kB
[nomerge       ] dev-perl/libwww-perl-6.30.0  USE="ssl"
[ebuild  N     ]  dev-perl/LWP-MediaTypes-6.20.0  0 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[ebuild  N     ]  dev-libs/libatasmart-0.19  USE="-static-libs" 246 kB
[nomerge       ] gnome-base/gvfs-1.12.3  USE="http udev -afp -archive -avahi -bluetooth -bluray -cdda -doc -fuse -gdu -gnome-keyring -gphoto2 -ios -samba (-udisks)"
[ebuild   R    ]  sys-fs/udev-171-r6  USE="gudev* hwdb* rule_generator -action_modeswitch -build -debug -edd -extras -floppy -introspection -keymap (-selinux) -test" 0 kB
[ebuild  N     ]   sys-apps/usbutils-006  USE="zlib -python" 0 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[ebuild  N     ]  sys-apps/gptfdisk-0.8.4  179 kB
[ebuild  N     ]   dev-libs/icu-49.1.2  USE="-debug -doc -examples -static-libs" 0 kB
[nomerge       ] x11-misc/xscreensaver-5.15  USE="jpeg pam perl -new-login -opengl (-selinux) -suid -xinerama"
[ebuild  N     ]  media-libs/netpbm-10.51.00-r2  USE="X jpeg zlib -jbig -jpeg2k -png -rle (-svga) -tiff -xml" 0 kB
[ebuild  N     ]  sys-devel/bc-1.06.95  USE="readline -libedit -static" 0 kB
[nomerge       ] sys-power/upower-0.9.16  USE="introspection -debug -doc -ios"
[ebuild  N     ]  virtual/libusb-1  0 kB
[ebuild  N     ]   dev-libs/libusb-1.0.9  USE="-debug -doc -static-libs" 0 kB
[nomerge       ] sys-apps/vbetool-1.1
[ebuild  N     ]  dev-libs/libx86-1.1-r1  0 kB
[nomerge       ] sys-power/pm-utils-1.4.1-r2  USE="-alsa -debug -ntp" VIDEO_CARDS="radeon -intel"
[ebuild  N     ]  sys-power/pm-quirks-20100619  0 kB
[ebuild  N     ]  app-laptop/radeontool-1.5-r3  21 kB
[nomerge       ] sys-fs/udisks-2.0.0  USE="crypt gptfdisk introspection -debug -systemd"
[ebuild  N     ]  app-text/docbook-xsl-stylesheets-1.77.1-r1  USE="-ruby" 0 kB
[ebuild  N     ]   app-text/build-docbook-catalog-1.19.1  0 kB
[blocks B      ] <sys-fs/udev-186 ("<sys-fs/udev-186" is blocking sys-fs/udev-init-scripts-16)

Total: 100 packages (1 upgrade, 93 new, 6 reinstalls, 1 uninstall), Size of downloads: 10,789 kB
Conflict: 3 blocks (1 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-fs/udev:0

  (sys-fs/udev-171-r6::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-171[gudev] required by (gnome-base/gvfs-1.12.3::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-171-r5[gudev] required by (xfce-base/thunar-1.4.0::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-171-r5[gudev] required by (sys-power/upower-0.9.16::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-171[gudev] required by (gnome-base/gvfs-1.12.3-r1::gentoo, ebuild scheduled for merge)
    <=sys-fs/udev-171-r6 required by (sys-fs/cryptsetup-1.4.1::gentoo, ebuild scheduled for merge)

  (sys-fs/udev-171-r6::gentoo, installed) pulled in by
    <=sys-fs/udev-171-r6 required by (sys-fs/cryptsetup-1.4.1::gentoo, ebuild scheduled for merge)

  (sys-fs/udev-194::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-171[gudev] required by (gnome-base/gvfs-1.12.3::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-171-r5[gudev] required by (xfce-base/thunar-1.4.0::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-171-r5[gudev] required by (sys-power/upower-0.9.16::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-171[gudev] required by (gnome-base/gvfs-1.12.3-r1::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-187 required by (sys-fs/udev-init-scripts-16::gentoo, ebuild scheduled for merge)
    (and 3 more with the same problems)

gnome-base/gvfs:0

  (gnome-base/gvfs-1.12.3::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (gnome-base/gvfs-1.12.3-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=gnome-base/gvfs-1.10.1[udisks,udev] required by (xfce-base/thunar-1.4.0::gentoo, ebuild scheduled for merge)

sys-auth/polkit:0

  (sys-auth/polkit-0.107-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-auth/polkit-0.107 required by (sys-fs/udisks-2.0.0::gentoo, ebuild scheduled for merge)

  (sys-auth/polkit-0.104-r1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-libs/libgcrypt:0

  (dev-libs/libgcrypt-1.5.0-r2::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libgcrypt[static-libs] required by (sys-fs/cryptsetup-1.4.1::gentoo, ebuild scheduled for merge)

  (dev-libs/libgcrypt-1.5.0-r2::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-libs/popt:0

  (dev-libs/popt-1.16-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/popt-1.16-r1[static-libs] required by (sys-fs/cryptsetup-1.4.1::gentoo, ebuild scheduled for merge)

  (dev-libs/popt-1.16-r1::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

sys-apps/util-linux:0

  (sys-apps/util-linux-2.21.2::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/util-linux-2.20[static-libs] required by (sys-fs/cryptsetup-1.4.1::gentoo, ebuild scheduled for merge)

  (sys-apps/util-linux-2.21.2::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following keyword changes are necessary to proceed:
#required by gnome-base/gvfs-1.12.3-r1[udisks], required by xfce-base/thunar-1.4.0[udev], required by xfce-base/xfdesktop-4.10.0[thunar], required by xfce-base/xfce4-meta-4.10, required by xfce4-meta (argument)
=sys-fs/udisks-2.0.0 ~amd64
#required by sys-fs/udisks-2.0.0, required by gnome-base/gvfs-1.12.3-r1[udisks], required by xfce-base/thunar-1.4.0[udev], required by xfce-base/xfdesktop-4.10.0[thunar], required by xfce-base/xfce4-meta-4.10, required by xfce4-meta (argument)
=sys-auth/polkit-0.107-r1 ~amd64
#required by sys-fs/udev-init-scripts-16
=sys-fs/udev-194 ~amd64
#required by sys-fs/udev-194[openrc], required by xfce-base/thunar-1.4.0[udev], required by xfce-base/xfdesktop-4.10.0[thunar], required by xfce-base/xfce4-meta-4.10, required by xfce4-meta (argument)
=sys-fs/udev-init-scripts-16 ~amd64
#required by sys-fs/udev-194, required by sys-fs/udev-init-scripts-16
=sys-apps/kmod-10 ~amd64
#required by xfce-base/thunar-1.4.0[udev], required by xfce-base/xfdesktop-4.10.0[thunar], required by xfce-base/xfce4-meta-4.10, required by xfce4-meta (argument)
=gnome-base/gvfs-1.12.3-r1 ~amd64

Use --autounmask-write to write changes to config files (honoring CONFIG_PROTECT).
localhost linux #

Any idea?
Back to top
View user's profile Send private message
DanneStrat
n00b
n00b


Joined: 05 Jan 2012
Posts: 70

PostPosted: Wed Oct 10, 2012 1:14 pm    Post subject: Reply with quote

https://bugs.gentoo.org/show_bug.cgi?id=431424

The answer is in the thunar ebuild:

udev? ( || ( ${GVFS_DEPEND}[udisks,udev] ${GVFS_DEPEND}[gdu,udev] ) )

As a stable keyword user this means that you need to have the "gdu" use flag set for gvfs or portage will try to pull in the unstable gvfs with the "udisks" use flag.

Either set the "gdu" use flag for gvfs:
Code:
# nano -w /etc/portage/package.use

gnome-base/gvfs gdu

or switch to the desktop profile which already has the use flag set:
Code:
# eselect profile set 3
Back to top
View user's profile Send private message
Omead
n00b
n00b


Joined: 06 Oct 2012
Posts: 18

PostPosted: Wed Oct 10, 2012 2:24 pm    Post subject: Reply with quote

Thanks DanneStrat. The second solution worked, although I didn't test the first one.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum